Skip to main content
GET
/
b2b
/
quotes
/
limits
Get Quote Limits
curl --request GET \
  --url https://nexus.kraken.com/b2b/quotes/limits \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "asset": "<string>",
    "minimum": "1.23",
    "maximum": "1.23",
    "precision": 1,
    "minimum_tradable_amount": "<string>",
    "minimum_in_display": {
      "asset": "<string>",
      "amount": "1.23"
    },
    "maximum_in_display": {
      "asset": "<string>",
      "amount": "1.23"
    },
    "minimum_tradable_amount_in_display": {
      "asset": "<string>",
      "amount": "1.23"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

user
string
required

IIBAN of the user to act on behalf of. Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42
base_asset
string
required

Asset and amount that the user wants to specify exactly - For receive quote_type: This is the exact amount the user wants to receive - For spend quote_type: This is the exact amount the user wants to spend

Maximum string length: 16
quote_asset
string
required

The other asset involved in the transaction - For receive quote_type: This is the asset the user will spend (in a variable amount) - For spend quote_type: This is the asset the user will receive (in a variable amount)

Maximum string length: 16
type
enum<string>
required

Type of quote (receive or spend)

When receive: - Represents a 'fixed receive' scenario where the user specifies how much they want to receive in the amount field - Example: User wants to receive 100 USD by selling some amount of BTC

When spend: - Represents a 'fixed spend' scenario where the user specifies how much they want to spend in the amount field to receive some amount of the quote asset - Example: User wants to spend 100 USD to buy some amount of BTC

Available options:
receive,
spend
quote_currency
string | null

If set will return quoted_spend, quoted_receive, quoted_unit_price

Maximum string length: 16

Response

Response

result
object

Response including quote limits for a given asset pair